Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.metadata
Interface IObjectDefn

All Known Subinterfaces:
  IElementDefn, IStructureDefn

    public interface IObjectDefn

Base Interface for methods common to elements and structures. This base interface defines methods to work generically with these two kinds of objects.

Method Summary
`IPropertyDefn` | `findProperty(java.lang.String propName)` Gets a property definition given the property name.
`java.lang.String` | `getDisplayName()` Gets the display name.
`java.lang.Object` | `getDisplayNameKey()` Gets the resource key for the display name.
`java.lang.String` | `getName()` Gets the internal name for the element.
`java.util.Iterator<IPropertyDefn>` | `getPropertyIterator()` Returns an iterator over the property definitions.
`java.util.Iterator<IPropertyDefn>` | `propertiesIterator()` Returns an iterator over the property definitions.

Method Detail

### getDisplayName

    java.lang.String getDisplayName()

  Gets the display name.

  Returns:
    Returns the display name.

### getDisplayNameKey

    java.lang.Object getDisplayNameKey()

  Gets the resource key for the display name.

  Returns:
    The display name resource key.

### getName

    java.lang.String getName()

  Gets the internal name for the element.

  Returns:
    Returns the name.

### findProperty

    IPropertyDefn findProperty(java.lang.String propName)

  Gets a property definition given the property name.

  Parameters:
    `propName` - the name of the property to get
  Returns:
    the property with that name, or null if the property cannot be found

### getPropertyIterator

    java.util.Iterator<IPropertyDefn> getPropertyIterator()

  Returns an iterator over the property definitions. The `IPropertyDefn` s in the iterator will be sorted by there localized names.

  Returns:
    an iterator over the property definitions.

### propertiesIterator

    java.util.Iterator<IPropertyDefn> propertiesIterator()

  Returns an iterator over the property definitions. The `IPropertyDefn` s in the iterator are not sorted.

  Returns:
    an iterator over the property definitions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.